> ## Documentation Index
> Fetch the complete documentation index at: https://docs.diga.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Project

> Update an existing project's information. Only the fields provided will be updated.



## OpenAPI

````yaml /api-reference/openapi.json patch /v1/project/{id}
openapi: 3.1.0
info:
  title: Diga API
  version: 0.1.0
servers:
  - url: https://api.diga.io
    description: Production
security: []
paths:
  /v1/project/{id}:
    patch:
      tags:
        - Projects
      summary: Update Project
      description: >-
        Update an existing project's information. Only the fields provided will
        be updated.
      operationId: update_project_v1_project__id__patch
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateProjectRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectResponseSchema'
        '403':
          description: Unathorized Role
          content:
            application/json:
              example:
                status: error
                error_code: UNATHORIZED_ROLE
                message: You are not authorized to update this project
              schema:
                $ref: '#/components/schemas/ErrorResponseSchema'
        '404':
          description: Project Not Found
          content:
            application/json:
              example:
                status: error
                error_code: PROJECT_NOT_FOUND
                message: Project 550e8400-e29b-41d4-a716-446655440000 not found
              schema:
                $ref: '#/components/schemas/ErrorResponseSchema'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              example:
                status: error
                error_code: INTERNAL_SERVER_ERROR
                message: 'Error: Internal Server Error'
              schema:
                $ref: '#/components/schemas/ErrorResponseSchema'
      security:
        - CustomHTTPBearer: []
components:
  schemas:
    UpdateProjectRequest:
      properties:
        name:
          type: string
          title: Project Name
          description: The name of the project
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Project Description
          description: A brief description of the project
      type: object
      title: UpdateProjectRequest
    ProjectResponseSchema:
      properties:
        id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Project ID
          description: Unique identifier for the project
        name:
          type: string
          title: Project Name
          description: The name of the project
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Project Description
          description: A brief description of the project
        members_count:
          type: integer
          title: Members Count
          description: Number of members associated with the project
      type: object
      required:
        - name
        - members_count
      title: ProjectResponseSchema
    ErrorResponseSchema:
      properties:
        status:
          type: string
          title: Status
          description: Status of the response, always 'error' for error responses
          default: error
        error_code:
          type: string
          title: Error Code
          description: Machine-readable error code in SCREAMING_SNAKE_CASE format
          examples:
            - PROJECT_NOT_FOUND
            - INVALID_EMAIL
            - UNAUTHORIZED_ROLE
        message:
          type: string
          title: Message
          description: Human-readable error message with details
          examples:
            - Project with id 550e8400-e29b-41d4-a716-446655440000 not found
            - The email invalid@email is not valid
            - Insufficient permissions to perform this action
      type: object
      required:
        - error_code
        - message
      title: ErrorResponseSchema
      description: Standard error response format for all API errors.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    CustomHTTPBearer:
      type: http
      scheme: bearer

````